Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Class DOMImplementationImpl

    java.lang.Object
      com.novell.xml.dom.DOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation

    public class DOMImplementationImpl

extends Object
implements DOMImplementation

Novell implementation of DOM level 2 `DOMImplementation` interface

Method Summary
`protected static boolean` | `checkFeature(String feature, String version)` Test if the DOM implementation implements a specific feature.
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` Creates an XML `Document` object of the specified type with its document element.
`DocumentType` | `createDocumentType(String qualifiedName, String publicId, String systemId)` Creates an empty `DocumentType` node.
`static DOMImplementation` | `getDOMImplementation()` Get the one and only instance if DOMImplementation for this implementation non-DOM
`boolean` | `hasFeature(String feature, String version)` Test if the DOM implementation implements a specific feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`getFeature`

Method Detail

### hasFeature

    public boolean hasFeature(String feature,
                              String version)

  Test if the DOM implementation implements a specific feature.

  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Parameters:
    `feature` - The name of the feature to test (case-insensitive). The values used by DOM features are defined throughout the DOM Level 2 specifications and listed in the section. The name must be an XML name. To avoid possible conflicts, as a convention, names referring to features defined outside the DOM specification should be made unique by reversing the name of the Internet domain name of the person (or the organization that the person belongs to) who defines the feature, component by component, and using this as a prefix. For instance, the W3C SVG Working Group defines the feature "org.w3c.dom.svg".
    `version` - This is the version number of the feature to test. In Level 2, the string can be either "2.0" or "1.0". If the version is not specified, supporting any version of the feature causes the method to return `true`.
  Returns:
    `true` if the feature is implemented in the specified version, `false` otherwise.

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicId,
                                           String systemId)
                                    throws DOMException

  Creates an empty `DocumentType` node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a `DocumentType`.
  HTML-only DOM implementations do not need to implement this method.

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Parameters:
    `qualifiedName` - The qualified name of the document type to be created.
    `publicId` - The external subset public identifier.
    `systemId` - The external subset system identifier.
  Returns:
    A new `DocumentType` node with `Node.ownerDocument` set to `null`.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed.
  Since:
    DOM Level 2

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Creates an XML `Document` object of the specified type with its document element. HTML-only DOM implementations do not need to implement this method.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create.
    `qualifiedName` - The qualified name of the document element to be created.
    `doctype` - The type of document to be created or `null`. When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created.
  Returns:
    A new `Document` object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null`, or if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from " http://www.w3.org/XML/1998/namespace" .
    WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document or was created from a different implementation.
  Since:
    DOM Level 2

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Get the one and only instance if DOMImplementation for this implementation non-DOM

  Returns:
    the one and only instance if DOMImplementation for this implementation

### checkFeature

    protected static boolean checkFeature(String feature,
                                          String version)

  Test if the DOM implementation implements a specific feature. non-DOM

  Parameters:
    `feature` - The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
    `version` - This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
  Returns:
    `true` if the feature is implemented in the specified version, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD